| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
GaudiConfig.ControlFlow._TestAlgorithm Class Reference
Inheritance diagram for GaudiConfig.ControlFlow._TestAlgorithm:
[legend]
Collaboration diagram for GaudiConfig.ControlFlow._TestAlgorithm:
[legend]

## Public Member Functions
def | __init__ (self, name)
def | __repr__ (self)
def | name (self)
Public Member Functions inherited from GaudiConfig.ControlFlow.ControlFlowNode
def | __and__ (self, rhs)
def | __or__ (self, rhs)
def | __invert__ (self)
def | __rshift__ (self, rhs)
def | visitNode (self, visitor)
def | __eq__ (self, other)
def | getFullName (self)

## Private Attributes
| _name

## Detailed Description

Definition at line 205 of file ControlFlow.py.

## Constructor & Destructor Documentation

def GaudiConfig.ControlFlow._TestAlgorithm.__init__ | ( |  | self,
|  |  | name
| ) |  |

Definition at line 206 of file ControlFlow.py.

206 def __init__(self, name):
207 self._name = name
208
GaudiConfig.ControlFlow._TestAlgorithm.__init__
def __init__(self, name)
Definition: ControlFlow.py:206
GaudiConfig.ControlFlow._TestAlgorithm._name
_name
Definition: ControlFlow.py:207

## Member Function Documentation

def GaudiConfig.ControlFlow._TestAlgorithm.__repr__ | ( |  | self | ) |

Definition at line 209 of file ControlFlow.py.

209 def __repr__(self):
210 return self._name
211
GaudiConfig.ControlFlow._TestAlgorithm.__repr__
def __repr__(self)
Definition: ControlFlow.py:209
GaudiConfig.ControlFlow._TestAlgorithm._name
_name
Definition: ControlFlow.py:207

def GaudiConfig.ControlFlow._TestAlgorithm.name | ( |  | self | ) |

Definition at line 212 of file ControlFlow.py.

212 def name(self):
213 return self._name
214
215
GaudiConfig.ControlFlow._TestAlgorithm._name
_name
Definition: ControlFlow.py:207
GaudiConfig.ControlFlow._TestAlgorithm.name
def name(self)
Definition: ControlFlow.py:212

## Member Data Documentation

GaudiConfig.ControlFlow._TestAlgorithm._name
| private

Definition at line 207 of file ControlFlow.py.

The documentation for this class was generated from the following file:

- GaudiKernel/python/GaudiConfig/ControlFlow.py